models/Entradas.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "entradas".
 *
 * @property int $id
 * @property string $texto
 */
class Entradas extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'entradas';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['texto'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'texto' => 'Texto',
        ];
    }
}

models/Fotos.php
<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "fotos".
 *
 * @property int $id
 * @property string $nombre
 * @property resource $contenido
 * @property string $alternativo
 */
class Fotos extends \yii\db\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'fotos';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['contenido'], 'string'],
            [['nombre', 'alternativo'], 'string', 'max' => 255],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'nombre' => 'Nombre',
            'contenido' => 'Contenido',
            'alternativo' => 'Alternativo',
        ];
    }
}

controllers/SiteController.php
<?php

namespace app\controllers;

use Yii;
use yii\filters\AccessControl;
use yii\web\Controller;
use yii\web\Response;
use yii\filters\VerbFilter;
use app\models\Entradas;
use yii\data\ActiveDataProvider;



    class SiteController extends Controller
{
    
    
    
    
    public function actions()
    {
        return [
            'error' => [
                'class' => 'yii\web\ErrorAction',
            ],
            'captcha' => [
                'class' => 'yii\captcha\CaptchaAction',
                'fixedVerifyCode' => YII_ENV_TEST ? 'testme' : null,
            ],
        ];
    }
    public function actionIndex()
    {
        

        return $this->render('index');
            
        
    }

    public function actionListar()
    {   
        $dataProvider=new ActiveDataProvider([
        'query' => Entradas::find(),
        ]);
        
        return $this->render('listar',[
            'dataprovider'=>$dataProvider,
        ]);
        
        
    }
    public function actionAdministrar()
    {   
        return $this->render('administrar',[
            "model"=>Entradas::findOne(1),
        ]);
    }
    public function actionListar2()
    {
        $salida=Entradas::find()->select(['texto'])->asArray()->all();
        return $this->render('listarTodos',["datos"=>$salida]);
    }
    public function actionListar3()
    {
        $salida=Entradas::find()->select(['texto'])->all();
        return $this->render('listarTodos',["datos"=>$salida]);
    }
    public function actionListar4()
    {
        $salida=new Entradas();
        return $this->render('listarTodos',[
            "datos"=>$salida->find()->all()
        ]);
    }
    public function actionListar5()
    {
        $salida=new Entradas();
        return $this->render('listarTodos',[
            "datos"=>$salida->findOne(1),
        ]);
        
    }
    public function actionListar6()
    {
        return $this->render('listarTodos',[
            "datos"=>Yii::$app->db->createCommand("Select * from entradas")->queryAll(),
        ]);
    }
    public function actionMostrar()
    {
        $dataProvider=new ActiveDataProvider([
            'query'=>Entradas::find(),
        ]);
        return $this->render('mostrar',[
            'dataProvider'=>$dataProvider,
        ]);
    }
    public function actionMostraruno()
    {
        return $this->render('mostraruno',[
            'model'=>Entradas::findOne(1),
        ]);
    }
}

views/entradas/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\entradas */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="entradas-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'texto')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/entradas/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\entradas */

$this->title = 'Create Entradas';
$this->params['breadcrumbs'][] = ['label' => 'Entradas', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="entradas-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/entradas/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Entradas';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="entradas-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Entradas', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'texto',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>

views/entradas/mostrar.php
<?php

use yii\grid\GridView;
?>

<?= GridView::widget([
    'dataProvider' => $dataProvider,
    'summary' => "Mostrando {begin} - {end} de {totalCount} elementos",
    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],
        'id',
        'texto',
    ],
]);
?>

views/entradas/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\entradas */

$this->title = 'Update Entradas: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Entradas', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="entradas-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/entradas/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\entradas */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Entradas', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="entradas-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'texto',
        ],
    ]) ?>

</div>

views/fotos/_form.php
<?php

use yii\helpers\Html;
use yii\widgets\ActiveForm;

/* @var $this yii\web\View */
/* @var $model app\models\fotos */
/* @var $form yii\widgets\ActiveForm */
?>

<div class="fotos-form">

    <?php $form = ActiveForm::begin(); ?>

    <?= $form->field($model, 'nombre')->textInput(['maxlength' => true]) ?>

    <?= $form->field($model, 'contenido')->textInput() ?>

    <?= $form->field($model, 'alternativo')->textInput(['maxlength' => true]) ?>

    <div class="form-group">
        <?= Html::submitButton('Save', ['class' => 'btn btn-success']) ?>
    </div>

    <?php ActiveForm::end(); ?>

</div>

views/fotos/create.php
<?php

use yii\helpers\Html;


/* @var $this yii\web\View */
/* @var $model app\models\fotos */

$this->title = 'Create Fotos';
$this->params['breadcrumbs'][] = ['label' => 'Fotos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="fotos-create">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/fotos/index.php
<?php

use yii\helpers\Html;
use yii\grid\GridView;

/* @var $this yii\web\View */
/* @var $dataProvider yii\data\ActiveDataProvider */

$this->title = 'Fotos';
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="fotos-index">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Create Fotos', ['create'], ['class' => 'btn btn-success']) ?>
    </p>

    <?= GridView::widget([
        'dataProvider' => $dataProvider,
        'columns' => [
            ['class' => 'yii\grid\SerialColumn'],

            'id',
            'nombre',
            'contenido',
            'alternativo',

            ['class' => 'yii\grid\ActionColumn'],
        ],
    ]); ?>
</div>

views/fotos/update.php
<?php

use yii\helpers\Html;

/* @var $this yii\web\View */
/* @var $model app\models\fotos */

$this->title = 'Update Fotos: ' . $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Fotos', 'url' => ['index']];
$this->params['breadcrumbs'][] = ['label' => $model->id, 'url' => ['view', 'id' => $model->id]];
$this->params['breadcrumbs'][] = 'Update';
?>
<div class="fotos-update">

    <h1><?= Html::encode($this->title) ?></h1>

    <?= $this->render('_form', [
        'model' => $model,
    ]) ?>

</div>

views/fotos/view.php
<?php

use yii\helpers\Html;
use yii\widgets\DetailView;

/* @var $this yii\web\View */
/* @var $model app\models\fotos */

$this->title = $model->id;
$this->params['breadcrumbs'][] = ['label' => 'Fotos', 'url' => ['index']];
$this->params['breadcrumbs'][] = $this->title;
?>
<div class="fotos-view">

    <h1><?= Html::encode($this->title) ?></h1>

    <p>
        <?= Html::a('Update', ['update', 'id' => $model->id], ['class' => 'btn btn-primary']) ?>
        <?= Html::a('Delete', ['delete', 'id' => $model->id], [
            'class' => 'btn btn-danger',
            'data' => [
                'confirm' => 'Are you sure you want to delete this item?',
                'method' => 'post',
            ],
        ]) ?>
    </p>

    <?= DetailView::widget([
        'model' => $model,
        'attributes' => [
            'id',
            'nombre',
            'contenido',
            'alternativo',
        ],
    ]) ?>

</div>

views/layouts/main.php
<?php

/* @var $this \yii\web\View */
/* @var $content string */

use app\widgets\Alert;
use yii\helpers\Html;
use yii\bootstrap\Nav;
use yii\bootstrap\NavBar;
use yii\widgets\Breadcrumbs;
use app\assets\AppAsset;
use yii\widgets\menu;

AppAsset::register($this);
$this->registerCssFile("@web/css/mio.css",[
        'depends' => [\yii\bootstrap\BootstrapAsset::className()]]);
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
<head>
    <meta charset="<?= Yii::$app->charset ?>">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <?= Html::csrfMetaTags() ?>
    <title><?= Html::encode($this->title) ?></title>
    <?php $this->head() ?>
</head>
<body>
<?php $this->beginBody() ?>

<div class="wrap">
    <?php
    NavBar::begin([
        'brandLabel' => Yii::$app->name,
        'brandUrl' => Yii::$app->homeUrl,
        'options' => [
            'class' => 'navbar-fixed-top navbar-default',
            'id' => 'custom-bootstrap-menu'
        ],
    ]);
    echo Nav::widget([
        'options' => ['class' => 'navbar-nav navbar-right'],
        'items' => [
            ['label' => 'Home', 'url' => ['/site/index']],
            ['label' => 'Administrar', 'url' => ['/site/administrar']],
            
            ['label' => 'Listados', 'items' => [
            ['label' => 'Listar1', 'url' => ['/site/listar']],   
            ['label' => 'Listar2', 'url' => ['/site/listar2']],
            ['label' => 'Listar3', 'url' => ['/site/listar3']],
            ['label' => 'Listar4', 'url' => ['/site/listar4']],
            ['label' => 'Listar5', 'url' => ['/site/listar5']],
            ['label' => 'Listar6', 'url' => ['/site/listar6']],
                ]],
            ['label' => 'Mostrar', 'items' => [
            ['label' => 'Mostrar', 'url' => ['/site/mostrar']],
            ['label' => 'Mostrar Registro', 'url' => ['/site/mostraruno']],   
            ]]],
        
    ]);
    NavBar::end();
    ?>

    <div class="container">
        <?= Breadcrumbs::widget([
            'links' => isset($this->params['breadcrumbs']) ? $this->params['breadcrumbs'] : [],
        ]) ?>
        <?= Alert::widget() ?>
        <?= $content ?>
    </div>
</div>

<footer class="footer">
    <div class="container">
        <p class="pull-left">Alpe Formacion 2018<?= date('Y') ?></p>

        <p class="pull-right"><?= Yii::powered() ?></p>
    </div>
</footer>

<?php $this->endBody() ?>
</body>
</html>
<?php $this->endPage() ?>

views/site/administrar.php
<?php
use yii\widgets\DetailView;
?>
<?= DetailView::widget([
    'model'=>$model,
    'attributes'=>[
        'id',
        'texto',
    ],
]) ?>

views/site/error.php
<?php

/* @var $this yii\web\View */
/* @var $name string */
/* @var $message string */
/* @var $exception Exception */

use yii\helpers\Html;

$this->title = $name;
?>
<div class="site-error">

    <h1><?= Html::encode($this->title) ?></h1>

    <div class="alert alert-danger">
        <?= nl2br(Html::encode($message)) ?>
    </div>

    <p>
        The above error occurred while the Web server was processing your request.
    </p>
    <p>
        Please contact us if you think this is a server error. Thank you.
    </p>

</div>

views/site/index.php
<?php
use yii\helpers\Html;
use app\components\Foto;
/* @var $this yii\web\View */

$this->title = 'Página de inicio';
?>
<div class="site-index">

    <div class="jumbotron">
        <h1>Hoja de ejercicios 2</h1>

        <p class="lead">Esta es la página de inicio.</p>

        
    </div>

    <div class="body-content">

        <div class="row">
            <div class="col-lg-4 text-center">
                <h2>Izquierda</h2>

                <?= Foto::widget(["nombre"=>"nada.jpg","alternativo"=>"Foto adjunta"]); ?>
            </div>
            <div class="col-lg-4 text-center">
                <h2>Centro</h2>
                <?= Foto::widget(["nombre"=>"nada.jpg","alternativo"=>"Foto adjunta"]); ?>
                
            </div>
            <div class="col-lg-4">
                <h2>Derecha</h2>
                <?= Foto::widget(["nombre"=>"alpe.png","alternativo"=>"Foto adjunta"]); ?>
                
            </div>
        </div>

    </div>
</div>

views/site/listar.php
<?php

use yii\grid\GridView;
?>

<?= GridView::widget([
    'dataProvider' => $dataprovider,
    'summary' => "Mostrando {begin} - {end} de {totalCount} elementos",
    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],
        'id',
        'texto',
    ],
]);
?>

views/site/listarTodos.php
<?php

var_dump($datos);

views/site/mostrar.php
<?php

use yii\grid\GridView;
?>
<?= GridView::widget([
    'dataProvider' => $dataProvider,
    'summary' => "Mostrando {begin} - {end} de {totalCount} elementos",
    'columns' => [
        ['class' => 'yii\grid\SerialColumn'],
            'id',
            'texto',
        ],
]);
?>

views/site/mostraruno.php
<?php

use yii\widgets\DetailView;
?>

<?= DetailView::widget([
    'model' => $model,
    'attributes' => [
        'id',
        'texto',
    ],
]);
?>